Module org.jfree.demos
Package com.orsoncharts.demo

# Class SampleData

java.lang.Object
com.orsoncharts.demo.SampleData

public class SampleData extends Object
Sample datasets. The datasets here are hard-coded for the purpose of keeping the demo self-contained - in practice you would normally read your data from a file, database or other source.

## Constructor Summary

Constructors
Constructor
Description
`SampleData()`

## Method Summary

Modifier and Type
Method
Description
`static org.jfree.chart3d.data.category.CategoryDataset3D<String,String,String>`
`createCompanyRevenueDataset()`
Creates a sample dataset containing revenue data for several large companies in the computer industry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SampleData

public SampleData()

## Method Details

### createCompanyRevenueDataset

public static org.jfree.chart3d.data.category.CategoryDataset3D<String,String,String> createCompanyRevenueDataset()
Creates a sample dataset containing revenue data for several large companies in the computer industry.

Returns:
  The dataset.